Skip to content

Upload Case Attachment

Request

Upload a new attachment to a case.

Security
ArxusSSO(Required scopes: ROLE_ITSM_WRITE)
Path
caseIdstringrequired

The unique identifier of the case.

Bodymultipart/form-datarequired
filestring, (binary)required

The file to upload.

curl -i -X POST \
  'https://developer.arxus.eu/_mock/apis/care/openapi/cases/{caseId}/attachments' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F file=string

Responses

The uploaded attachment.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(Attachment)

A case attachment.

Response
{ "meta": {}, "data": { "id": "2719a1682b958790ed5cf651d891bfae", "filename": "screenshot.png", "contentType": "image/png", "sizeBytes": 1048576, "hash": "d41d8cd98f00b204e9800998ecf8427e", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z" } }